Fedora 16 : ruby-1.8.7.358-4.fc16 (2012-15507)

This script is Copyright (C) 2012-2015 Tenable Network Security, Inc.


Synopsis :

The remote Fedora host is missing a security update.

Description :

Some security flaws were found on ruby currently shipped on Fedora 17
where malicious user can bypass safe mechanize by raising exception
intentionally and make arbitrary strings tainted. This flaw were now
registered as CVE-2012-4464 and CVE-2012-4466.

Note that CVE-2012-4464 is basically the same as CVE-2011-1005, which
was supposed to be already fixed on ruby 1.8.x branch but it proved
that the fix was incomplete.

This new rpm will fix the above issue.

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.redhat.com/show_bug.cgi?id=862907
http://www.nessus.org/u?0161ac2f

Solution :

Update the affected ruby package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)

Family: Fedora Local Security Checks

Nessus Plugin ID: 62531 ()

Bugtraq ID:

CVE ID: CVE-2012-4464
CVE-2012-4466

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now